Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Interface JspParserVisitor

All Known Implementing Classes:
  JspParserVisitorAdapter

public interface JspParserVisitor

Method Summary
`java.lang.Object` | `visit(ASTAttribute node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTAttributeValue node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCData node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCommentTag node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTCompilationUnit node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTContent node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDoctypeDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTDoctypeExternalId node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElement node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTElExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspComment node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspDeclaration node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspDirectiveAttribute node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspDirective node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspExpressionInAttribute node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspExpression node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTJspScriptlet node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTText node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTUnparsedText node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTValueBinding node, java.lang.Object data)`
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Method Detail

### visit

    public java.lang.Object visit(SimpleNode node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTCompilationUnit node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTContent node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTJspDirective node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTJspDirectiveAttribute node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTJspScriptlet node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTJspExpression node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTJspDeclaration node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTJspComment node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTText node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTUnparsedText node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTElExpression node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTValueBinding node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTCData node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTElement node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTAttribute node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTAttributeValue node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTJspExpressionInAttribute node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTCommentTag node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTDeclaration node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTDoctypeDeclaration node,
                                  java.lang.Object data)

### visit

    public java.lang.Object visit(ASTDoctypeExternalId node,
                                  java.lang.Object data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.